---
lang: en
title: 'API docs: repository.buffertype.coerce'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.buffertype.coerce.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [BufferType](./repository.buffertype.md) &gt; [coerce](./repository.buffertype.coerce.md)

## BufferType.coerce() method

<b>Signature:</b>

```typescript
coerce(value: any, options?: Options): any;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  value | <code>any</code> |  |
|  options | <code>Options</code> |  |

<b>Returns:</b>

`any`


